# Defines a default set of lint rules enforced for
# projects at Google. For details and rationale,
# see https://github.com/dart-lang/pedantic#enabled-lints.
include: package:lints/recommended.yaml

analyzer:
  language:
    strict-casts: true
    strict-inference: true

linter:
  rules:
    - always_declare_return_types
    - avoid_dynamic_calls
    - avoid_print
    - avoid_slow_async_io
    - cancel_subscriptions
    - deprecated_member_use_from_same_package
    - directives_ordering
    - implicit_reopen
    - invalid_case_patterns
    - invalid_runtime_check_with_js_interop_types
    - iterable_contains_unrelated_type
    - list_remove_unrelated_type
    - no_adjacent_strings_in_list
    - no_literal_bool_comparisons
    - no_self_assignments
    - omit_local_variable_types
    - package_api_docs
    - package_prefixed_library_names
    - prefer_const_constructors
    - prefer_const_literals_to_create_immutables
    - prefer_if_elements_to_conditional_expressions
    - prefer_single_quotes
    - public_member_api_docs
    - sort_child_properties_last
    - test_types_in_equals
    - throw_in_finally
    - unawaited_futures
    - unnecessary_statements
    - unsafe_html


